## GtkColorCombo GtkColorCombo — A color combo widget for GTK. |

## Functions

GtkWidget * | gtk_color_combo_new ()
GtkWidget * | gtk_color_combo_new_with_values ()
void | gtk_color_combo_construct ()
void | gtk_color_combo_construct_with_values ()
GdkColor | gtk_color_combo_get_color_at ()
void | gtk_color_combo_find_color ()
GdkColor | gtk_color_combo_get_selection ()

## Signals

void | changed | Run First

## Types and Values

struct | GtkColorCombo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkComboButton
                                    ╰── GtkColorCombo

## Implemented Interfaces

GtkColorCombo implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtkextra.h>

## Description

A GtkColorCombo is a GtkCOmbo which contains all kinds of colors.

## Functions

### gtk_color_combo_new ()

    GtkWidget *
    gtk_color_combo_new (void);

### gtk_color_combo_new_with_values ()

    GtkWidget *
    gtk_color_combo_new_with_values (gint nrows,
                                     gint ncols,
                                     GdkColor *colors);

Creates a new GtkColorCombo widget having `nrows` rows and `ncols` columns with GdkColor color.

#### Parameters

nrows | number of rows in GtkColorCombo. |
ncols | number of columns in GtkColorCombo. |
colors | GdkColor color. |

#### Returns

the newly-created GtkColorCombo widget.

### gtk_color_combo_construct ()

    void
    gtk_color_combo_construct (GtkColorCombo *color_combo);

Initialize a GtkColorCombo object.

#### Parameters

color_combo | the GtkColorCombo widget. |

### gtk_color_combo_construct_with_values ()

    void
    gtk_color_combo_construct_with_values (GtkColorCombo *color_combo,
                                           gint nrows,
                                           gint ncols,
                                           GdkColor *colors);

Initialize a GtkColorCombo object with specified values.

#### Parameters

color_combo | the GtkColorCombo widget. |
nrows | number of rows in GtkColorCombo. |
ncols | number of columns in GtkColorCombo. |
colors | GdkColor color. |

### gtk_color_combo_get_color_at ()

    GdkColor
    gtk_color_combo_get_color_at (GtkColorCombo *color_combo,
                                  gint row,
                                  gint col);

Get the color in the combo at the specified row,column.

#### Parameters

color_combo | a GtkColorCombo widget. |
row | row number in GtkColorCombo. |
col | column number in GtkColorCombo. |

#### Returns

a GdkColor at `row` ,`col` in `color_combo`

### gtk_color_combo_find_color ()

    void
    gtk_color_combo_find_color (GtkColorCombo *color_combo,
                                GdkColor *color,
                                gint *row,
                                gint *col);

Find the best match for a given color.

#### Parameters

color_combo | a GtkColorCombo widget. |
color | a GdkColor object. |
row | row number in GtkColorCombo. |
col | column number in GtkColorCombo. |

### gtk_color_combo_get_selection ()

    GdkColor
    gtk_color_combo_get_selection (GtkColorCombo *combo);

Get the color in the combo at selection .

#### Parameters

combo | a GtkColorCombo widget. |

#### Returns

a GdkColor of the selection.

## Types and Values

### struct GtkColorCombo

    struct GtkColorCombo;

The GtkColorCombo struct contains only private data. It should only be accessed through the functions described below.

## Signal Details

### The `“changed”` signal

    void
    user_function (GtkColorCombo *colorcombo,
                   gint           arg1,
                   GdkColor      *arg2,
                   gpointer       user_data)

#### Parameters

colorcombo | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First